package com.fs.app.task;

import com.fs.app.service.WxTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 企业微信SOP定时任务管理类
 * 负责处理各种定时任务，包括SOP规则检查、消息发送、数据清理等
 *
 * @author 系统
 * @version 1.0
 */
@Component
@Slf4j
public class WxTask {

    @Autowired
    private WxTaskService taskService;

//    @Scheduled(cron = "0 0/30 * * * ?")
//    public void addWx() {
//        taskService.addWx(null);
//    }
    @Scheduled(cron = "0 0/1 * * * ?")
    public void addWx4Workflow() {
        taskService.addWx4Workflow(null);
    }
    @Scheduled(cron = "0 0 0 * * ?")
    public void initAccountNum() {
        taskService.initAccountNum();
    }

    @Scheduled(cron = "0 0 * * * ?")
    public void initAccountMsg() {
        taskService.initAccountMsg();
    }

//    @Scheduled(cron = "0 0/10 * * * ?")
//    public void cellRun() {
//        taskService.cellRun();
//    }
//    @Scheduled(cron = "0 0/1 * * * ?")
//    public void callNextTask(){
//        taskService.callNextTask();
//    }

    /**
     * 工作流加微超时检测
     * 每分钟执行一次，检查是否有加微超时的工作流需要继续执行
     */
//    @Scheduled(cron = "0 0/1 * * * ?")
//    public void checkWorkflowAddWxTimeout(){
//        taskService.checkWorkflowAddWxTimeout();
//    }

    @Scheduled(cron = "0 0/1 * * * ?")
    public void cidWorkflowAddWxRun(){
        taskService.cidWorkflowAddWxRun();
    }


    /**
     * 企微加微
     */
    @Scheduled(cron = "0 0/1 * * * ?")
    public void qwAddWx() {
        taskService.qwAddWx(null);
    }
    /**
     * 企微加微结果查询
     */
    @Scheduled(cron = "0 0/1 * * * ?")
    public void qwAddWxResult() {
        taskService.qwAddWxResult(null);
    }
    /**
     * 企微加微工作流超时检测
     * 每分钟执行一次，检查是否有加微超时的工作流需要继续执行
     */
    @Scheduled(cron = "0 0/1 * * * ?")
    public void cidWorkflowQwAddWxRun(){
        taskService.cidWorkflowQwAddWxRun();
    }
}
